## dump 0.3

=== Makefile ===
include ./MCONFIG

SUBDIRS=	compat/lib common dump restore

ifdef	BUILD_RMT
SUBDIRS+=	rmt
endif

all::
	for i in $(SUBDIRS); do $(MAKE) -C $$i || exit 1; done

clean::
	for i in $(SUBDIRS); do $(MAKE) -C $$i clean || exit 1; done

install::
	for i in $(SUBDIRS); do $(MAKE) -C $$i install || exit 1; done

dep depend::
	for i in $(SUBDIRS); do $(MAKE) -C $$i depend || exit 1; done

realclean really-clean clobber spotless::
	for i in $(SUBDIRS); do $(MAKE) -C $$i realclean || exit 1; done

=== common/Makefile ===
include ../MCONFIG

INC=		-I../compat/include -I../dump
CFLAGS=		-pipe $(DEFS) $(INC) $(GINC) $(OPT)
SRCS=		dumprmt.c
OBJS=		dumprmt.o

all:		$(OBJS)

clean:
	rm -f \#* *.s *.o *.a *~ core

realclean:	clean
	rm -f .depend 

install::

dep depend .depend:
	$(CPP) $(CFLAGS) -M *.c >.depend

include .depend

=== rmt/Makefile ===
include ../MCONFIG

#DEBUG=		-DFDEBUG -DTDEBUG -DWRITEDEBUG
INC=		-I../compat/include
CFLAGS=		-pipe $(DEFS) $(DEBUG) $(INC) $(GINC) $(OPT)
DEPLIBS=	../compat/lib/libcompat.a
LIBS=		$(GLIBS) -L../compat/lib -lcompat

PROG=		rmt
SRCS=		rmt.c
OBJS=		rmt.o
MAN8=		rmt.8
BINMODE=	0755

all:		$(PROG)

$(PROG):	$(OBJS) $(DEPLIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROG) $(OBJS) $(LIBS)

install:	$(PROG)
	install -o $(BINOWN) -g $(BINGRP) -m $(BINMODE) $(PROG) $(BINDIR)
	install -o $(MANOWN) -g $(MANGRP) -m $(MANMODE) $(MAN8) $(MANDIR)

clean:
	rm -f $(PROG) \#* *.s *.o *.a *~ core

realclean:	clean
	rm -f .depend 

dep depend .depend:
	$(CPP) $(CFLAGS) -M *.c >.depend

include .depend

## dump 0.4b44

=== debian/changelog ===
dump (0.4b44-7) unstable; urgency=low

  * new maintainer (closes: #722731)
  * removed remaining bashisms in example script (closes: #772259)
  * applied patch for lockup on sparcs (closes: #623422)

 -- Alexander Zangerl <az@debian.org>  Mon, 04 May 2015 22:00:02 +1000

dump (0.4b44-6) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-Browser to new pattern.
  * debian/copyright:
      - dump uses BSD-3-clause now.
      - Added the GPL-2+ for some files.
      - Updated copyright years and names for maintainers and upstream.
  * debian/dump.lintian-overrides:
      - Added a line to override the package-contains-timestamped-gzip message.
      - Renamed to lintian-overrides.
  * debian/rules: added the DEB_CFLAGS_MAINT_APPEND and DEB_LDFLAGS_MAINT_APPEND
      flags to fix some compilation warnings shown by dpkg-shlibdeps and blhc
      command.
  * debian/patches/: renamed auto-0.4b44-5-8544ff70a0b617566795d1e0c611e5e9d...
      patch to skip-directories-scheduled-for-deletion.
  * debian/watch: added.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 20 Feb 2015 17:29:49 -0200

dump (0.4b44-5) unstable; urgency=high

  * Patch from Ben Harris to skip directories already scheduled for
    deletion in findunreflinks() (Closes: #714234)

 -- Matthew Vernon <matthew@debian.org>  Mon, 29 Sep 2014 11:36:37 +0100

dump (0.4b44-4) unstable; urgency=low

  * QA upload.
  * debian/postinst: drop --verbose flag from update-alternatives invocation.
  * debian/*rm: add set -e to fix lintian warning.
  * debian/control:
    + add Homepage field.
    + Update VCS fields to canonical values.
    + Bump Standards-Version to 3.9.4. No changes required.
  * Update to debhelper 9:
    + debian/rules: update accordingly.
    + debian/compat: bump compatibility level to 9.
    + debian/control: bump debhelper versioned build-dep to >= 9.
    + debian/docs: include docs previously manually installed.
    + debian/examples: include previously-included examples.
  * debian/copyright: update to DEP-5.

 -- Mattia Rizzolo <mattia@mapreri.org>  Thu, 19 Sep 2013 15:51:33 +0200

dump (0.4b44-3) unstable; urgency=low

  * move canonical repository to collab-maint

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Sep 2013 17:44:58 -0600

dump (0.4b44-2) unstable; urgency=low

  * orphan the package

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Sep 2013 17:30:26 -0600

dump (0.4b44-1) unstable; urgency=low

  * new upstream version, closes: #583093, #614068, #622350, #629831
  * add pkg-config as a build dependency
  * update to newer source package format
  * work around com_err not showing up in EXT2FS_LIBS with pass to configure
  * update lintian overrides related to static linking of compression libs
  * add Vcs entries to the control file

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Jun 2011 11:06:30 -0600

dump (0.4b43-1) unstable; urgency=low

  * new upstream version, closes: #574667
  * let the dump man page admit that ext4 works now, too

 -- Bdale Garbee <bdale@gag.com>  Fri, 11 Jun 2010 09:51:57 -0600

dump (0.4b42-2) unstable; urgency=low

  * build-dep on libreadline-dev so we track new versions, closes: #553747

 -- Bdale Garbee <bdale@gag.com>  Sun, 01 Nov 2009 20:03:02 -0700

dump (0.4b42-1) unstable; urgency=low

  * new upstream version, closes: #378349, #511651
  * add build dependencies on libdevmapper-dev, libselinux1-dev
  * add lintian override since we intentionally statically link against zlib
    so that restore can work without /usr being present as per #117496

 -- Bdale Garbee <bdale@gag.com>  Thu, 18 Jun 2009 14:02:13 -0600

dump (0.4b41-6) unstable; urgency=high

  * increase urgency since this minor fix would be good for lenny
  * fix bashisms in example shell script, closes: #489570

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Aug 2008 08:51:32 -0600

dump (0.4b41-5) unstable; urgency=low

  * eliminate debian/po in the source tree since it is no longer relevant,
    closes: #407218

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Feb 2007 17:48:47 +0900

dump (0.4b41-4) unstable; urgency=low

  * small addition to the man page to help clarify how level numbers should
    be expressed on the dump command line, closes: #378349
  * eliminate handling of obsolete /etc/dumpdates with associated use of 
    debconf notes, since that change was over 8 years, and no harm will is
    done in any case, closes: #388888
  * add autotools-dev support to keep config.sub/config.guess fresh

 -- Bdale Garbee <bdale@gag.com>  Fri,  8 Dec 2006 18:28:06 -0600

dump (0.4b41-3) unstable; urgency=low

  * accept updated Russian translation, closes: #360929

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Apr 2006 01:09:49 -0600

dump (0.4b41-2) unstable; urgency=low

  * fix postrm to only remove dumpdates file on purge, closes: #346142

 -- Bdale Garbee <bdale@gag.com>  Thu,  5 Jan 2006 20:13:45 -0700

dump (0.4b41-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Jan 2006 16:18:56 -0700

dump (0.4b40-1) unstable; urgency=low

  * new upstream version, closes: #289210, #291644, #307423
  * add debconf-2.0 as an alternate dependency
  * updated Swedish translation from Daniel Nylander, closes: #330316
  * remove /var/lib/dumpdates on purge, since we created it on install,
    closes: #330363
  * update dependencies in light of libreadline5-dev, closes: #326374
  * rebuild ensures fresh version of zlib in case we've been vulnerable
    to CAN-2005-2096, closes: #317966
  * merge Vietnamese translation, closes: #311599
  * merge Czech translation, closes: #315825
  * update debhelper compatibility level, plus a few tweaks to pacify lintian

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2005 00:50:29 -0600

dump (0.4b37-2) unstable; urgency=low

  * merge updated de.po, closes: #281076

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 May 2005 16:48:06 +0200

dump (0.4b37-1) unstable; urgency=low



=== debian/control ===
Source: dump
Section: utils
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               autotools-dev,
               comerr-dev,
               e2fslibs-dev,
               libblkid-dev,
               libbz2-dev,
               libdevmapper-dev,
               libreadline-dev,
               libselinux1-dev,
               pkg-config,
               uuid-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://dump.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/dump.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dump.git

Package: dump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.13.92-3)
Description: 4.4bsd dump and restore for ext2 filesystems
 Dump examines files on a filesystem and determines which files need to be
 backed up. These files are copied to the given disk, tape or other storage
 medium for safe keeping.
 .
 The restore command performs the inverse function of dump. A full backup of
 a filesystem may be restored and subsequent incremental backups layered on
 top of it.  Single files and directory subtrees may be restored from full or
 partial backups.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -Wl,-z,now -Wl,--as-needed

override_dh_auto_configure:
	dh_testdir
	EXT2FS_LIBS="-lext2fs -lcom_err" dh_auto_configure -- \
		--prefix=/usr \
		--with-ccopts="-O2 -g -Wall" \
		--with-dumpdatespath=/var/lib/dumpdates \
		--enable-largefile \
		--enable-qfa \
		--enable-staticz
		
override_dh_auto_install:
	dh_auto_install -- \
		SBINDIR=`pwd`/debian/dump/sbin \
		MANDIR=`pwd`/debian/dump/usr/share/man/man8

	mv debian/dump/usr/share/man/man8/rmt.8 \
		debian/dump/usr/share/man/man8/rmt-dump.8
	mv debian/dump/sbin/rmt debian/dump/usr/sbin/rmt-dump

	(cd debian/dump/sbin ; rm -f rdump rrestore ; \
		ln -s dump rdump ; ln -s restore rrestore )
	(cd debian/dump/usr/share/man/man8 ; rm -f rdump* rrestore* ; \
		ln -s dump.8.gz rdump.8.gz ; ln -s restore.8.gz rrestore.8.gz )

%:
	dh $@

## dump 0.4b45

=== debian/changelog ===
dump (0.4b45-3) unstable; urgency=medium

  * segfault issue from 826398 properly resolved,
  * qfa functionality restored (closes: #826669)

 -- Alexander Zangerl <az@debian.org>  Sun, 26 Jun 2016 00:35:51 +1000

dump (0.4b45-2) unstable; urgency=high

  * interim build with QFA disabled, as that triggers a
    segfault and renders dump completely broken (closes: #826398)
	
 -- Alexander Zangerl <az@debian.org>  Wed, 08 Jun 2016 19:04:16 +1000

dump (0.4b45-1) unstable; urgency=medium

  * New upstream release
  * some build cleanups
    (no more --enable-staticz as those libs are now all in /lib)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 May 2016 13:06:41 +1000

dump (0.4b44-8) unstable; urgency=low

  * fixed invalid ftruncate call when doing an
	 	on-the-fly compare (closes: #814362)
  * applied patch to offer zero-terminated file listings (closes: #703564)
  * applied patch to make symlink attribute handling consistent
    (closes: #735581, #364388)
  * changed error handler to terminate on corrupt restoresymtable,
	  regardless of -y (closes: #574469)

 -- Alexander Zangerl <az@debian.org>  Sat, 20 Feb 2016 13:33:56 +1000

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,10 @@
 	dh_testdir
 	EXT2FS_LIBS="-lext2fs -lcom_err" dh_auto_configure -- \
 		--prefix=/usr \
+		--sbindir=/sbin \
 		--with-ccopts="-O2 -g -Wall" \
-		--with-dumpdatespath=/var/lib/dumpdates \
-		--enable-largefile \
-		--enable-qfa \
-		--enable-staticz
-		
+		--with-dumpdatespath=/var/lib/dumpdates
+
 override_dh_auto_install:
 	dh_auto_install -- \
 		SBINDIR=`pwd`/debian/dump/sbin \

## dump 0.4b46

=== debian/changelog ===
dump (0.4b46-6) unstable; urgency=medium

  * fixed extended attribute verification logic (closes: #940473)

 -- Alexander Zangerl <az@debian.org>  Sun, 06 Oct 2019 14:09:14 +1000

dump (0.4b46-5) unstable; urgency=high

  * applied patch by Michael Cree to make dump build on alpha again
    (alpha has no getpid syscall, which
    the #623422 patch for sparc uses) (closes: #900885)
    
 -- Alexander Zangerl <az@debian.org>  Sat, 09 Jun 2018 11:23:46 +1000

dump (0.4b46-4) unstable; urgency=medium

  * adjusted package description (closes: #866563)
  * lifted standards version
  * updated rules, no ssl support (incomplete and doesn't build)
  * updated vcs links, now on salsa

 -- Alexander Zangerl <az@debian.org>  Tue, 05 Jun 2018 22:04:39 +1000

dump (0.4b46-3) unstable; urgency=medium

  * updated build rules to ensure a suitable
    automake version is used (closes: #841131)

 -- Alexander Zangerl <az@debian.org>  Thu, 20 Oct 2016 19:24:44 +1000

dump (0.4b46-2) unstable; urgency=medium

  * updated symlink timestamp restoration patch,
    reworked some of the other local patches

 -- Alexander Zangerl <az@debian.org>  Sun, 09 Oct 2016 19:45:06 +1000

dump (0.4b46-1) unstable; urgency=medium

  * new upstream version, lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sun, 25 Sep 2016 13:44:27 +1000

dump (0.4b45-5) unstable; urgency=medium

  * amend build depends for lzo2 compression (closes: #836692)
  * ensure that conditional compilation for compression-related
	  code is primed suitably (closes: #836548, #836674)
	
 -- Alexander Zangerl <az@debian.org>  Mon, 05 Sep 2016 18:06:43 +1000

dump (0.4b45-4) unstable; urgency=medium

  * archive table-of-contents file functionality restored (closes: #832641)

 -- Alexander Zangerl <az@debian.org>  Sun, 21 Aug 2016 14:22:45 +1000

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 		--prefix=/usr \
 		--sbindir=/sbin \
 		--with-ccopts="-O2 -g -Wall" \
-		--with-dumpdatespath=/var/lib/dumpdates
+		--with-dumpdatespath=/var/lib/dumpdates \
+		--enable-lzo --enable-bzip2 --enable-zlib \
+		--disable-ssl
 
 override_dh_auto_install:
 	dh_auto_install -- \
@@ -27,4 +29,4 @@
 		ln -s dump.8.gz rdump.8.gz ; ln -s restore.8.gz rrestore.8.gz )
 
 %:
-	dh $@
+	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://sf.net/dump/dump-(\d\S+)\.tar\.(?:bz2|gz|xz)

## dump 0.4b47

=== debian/changelog ===
dump (0.4b47-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:13 +1100

dump (0.4b47-4build1) noble; urgency=medium

  * No-change rebuild against libext2fs2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2024 15:49:28 +0000

dump (0.4b47-4) unstable; urgency=medium

  * fix dumpdates logic for backing up by LABEL= or UUID=
    (closes: #737564)
  * minor manpage improvements

 -- Alexander Zangerl <az@debian.org>  Tue, 03 May 2022 15:16:47 +1000

dump (0.4b47-3) unstable; urgency=medium

  * applied patch for restore and superlong paths (closes: #995996)
  * applied patches to correct possible buffer overflows (closes: #1002836)

 -- Alexander Zangerl <az@debian.org>  Sat, 15 Jan 2022 15:25:26 +1000

dump (0.4b47-2) unstable; urgency=medium

  * fix for bad handling of odd blocksizes that can be
    reported by stat on zfs (closes: 995992)
  * some minor adjustments to quieten lintian

 -- Alexander Zangerl <az@debian.org>  Tue, 12 Oct 2021 17:18:50 +1000

dump (0.4b47-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Tue, 30 Mar 2021 16:08:22 +1000

dump (0.4b46-8) unstable; urgency=high

  * fix extern declaration issue, added -fno-common to flags (closes: #957153)

 -- Alexander Zangerl <az@debian.org>  Thu, 23 Jul 2020 17:06:14 +1000

dump (0.4b46-7) unstable; urgency=high

  * repaired qfa mode for tape drives (closes: #965105)
    thanks go to Roberto Resoli who reported the problem
    and figured out the root cause
  * updated debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Sun, 19 Jul 2020 10:16:52 +1000

=== debian/control ===
Source: dump
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 10), autoconf, comerr-dev, e2fslibs-dev, libblkid-dev, libbz2-dev,  liblzo2-dev, libdevmapper-dev, libreadline-dev,  libselinux1-dev, pkg-config, uuid-dev, zlib1g-dev
Standards-Version: 4.1.3.0
Homepage: http://dump.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/dump
Vcs-Git: https://salsa.debian.org/debian/dump.git

Package: dump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tar (>= 1.13.92-3)
Description: backup and restore for ext2/3/4 filesystems
 This is a port of the 4.4BSD filesystem backup suite.
 Dump examines files on a filesystem and determines which files need to be
 backed up. These files are copied to the given disk, tape or other storage
 medium for safe keeping.
 .
 The restore command performs the inverse function of dump. A full backup of
 a filesystem may be restored and subsequent incremental backups layered on
 top of it. Single files and directory subtrees may be restored from full or
 partial backups.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-export DEB_CFLAGS_MAINT_APPEND = -fPIE
+export DEB_CFLAGS_MAINT_APPEND = -fPIE -fno-common
 export DEB_LDFLAGS_MAINT_APPEND = -fPIE -Wl,-z,now -Wl,--as-needed
 
 override_dh_auto_configure:

## dump 0.4b49

=== debian/changelog ===
dump (0.4b49-2) unstable; urgency=medium

  * fixed small mistake in NEWS.Debian (closes: #1094917)

 -- Alexander Zangerl <az@debian.org>  Fri, 14 Feb 2025 15:46:00 +1000

dump (0.4b49-1) unstable; urgency=high

  * new upstream release by a new, active upstream developer
  * not fully backwards compatible, see NEWS.Debian.
  * adjusted build depends, works with sid or bookworm-backports

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Dec 2024 16:19:15 +1000

dump (0.4b47-6) unstable; urgency=high

  * applied patches from tim woodall that repair a substantial
    number of compatibility issues
    (closes: #1081008, #1081009, #1081010, #1081011)
  * new -q option for restore

 -- Alexander Zangerl <az@debian.org>  Sun, 06 Oct 2024 11:12:02 +1000

## dump 0.4b52

=== debian/changelog ===
dump (0.4b52-1) unstable; urgency=medium

  * new upstream release

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Aug 2025 12:48:34 +1000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dump
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 10), autoconf, comerr-dev, e2fslibs-dev, libblkid-dev, libbz2-dev,  liblzo2-dev, libdevmapper-dev, libreadline-dev,  libselinux1-dev, pkg-config, uuid-dev, zlib1g-dev
+Maintainer: Alexander Zangerl <az@debian.org>
+Build-Depends: debhelper (>= 10), autoconf, libcatch2-dev, comerr-dev, libext2fs-dev, libblkid-dev, libbz2-dev,  liblzo2-dev, libdevmapper-dev, libreadline-dev,  libselinux1-dev, pkg-config, uuid-dev, zlib1g-dev
 Standards-Version: 4.1.3.0
 Homepage: http://dump.sourceforge.net
 Vcs-Browser: https://salsa.debian.org/debian/dump

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND = -fPIE -fno-common
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -Wl,-z,now -Wl,--as-needed

override_dh_auto_configure:
	dh_testdir
	EXT2FS_LIBS="-lext2fs -lcom_err" dh_auto_configure -- \
		--prefix=/usr \
		--sbindir=/usr/sbin \
		--with-ccopts="-O2 -g -Wall" \
		--with-dumpdatespath=/var/lib/dumpdates \
		--enable-lzo --enable-bzip2 --enable-zlib \
		--disable-ssl

override_dh_auto_install:
	dh_auto_install -- \
		SBINDIR=`pwd`/debian/dump/usr/sbin \
		MANDIR=`pwd`/debian/dump/usr/share/man/man8

	mv debian/dump/usr/share/man/man8/rmt.8 \
		debian/dump/usr/share/man/man8/rmt-dump.8

	(cd debian/dump/usr/sbin ; rm -f rdump rrestore ; \
		ln -s dump rdump ; ln -s restore rrestore; mv rmt rmt-dump )
	(cd debian/dump/usr/share/man/man8 ; rm -f rdump* rrestore* ; \
		ln -s dump.8.gz rdump.8.gz ; ln -s restore.8.gz rrestore.8.gz )

%:
	dh $@ --with autoreconf

## dump stat

=== Makefile ===
# contrib/pageinspect/Makefile

MODULE_big	= dump_stat
OBJS		= anyarray_elemtype.o $(WIN32RES)

EXTENSION = dump_stat
DATA = dump_stat--1.0.sql
PGFILEDESC = "dump_stat - move pg_statistic to new instance of PostgreSQL"

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/dump_stat
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## dump test

=== Makefile ===
EXTENSION = dump_test
DATA = dump_test--1.0.sql
PGFILEDESC = "dump_test - pg_dump test with foreign keys"

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
